<?php

include 'load.php';

if(isset($_GET['slid'])){
	
	$slid=mysqli_real_escape_string($conn,$_GET['slid']);
	$view_qury=mysqli_query($conn,"SELECT * FROM mobilesalary WHERE slid='$slid'");
	$view_result=mysqli_fetch_array($view_qury);
	
}

else{
	echo "<script>window.location='salarylist.php';</script>";
}


	if(isset($_POST['update'])){

		$employee = $_POST['employee'];
		$salerymonth = $_POST['salerymonth'];
		$$basicsalery = $_POST['basicsalery'];
		$bonusamount = $_POST['bonusamount'];
		$expenses = $_POST['expenses'];
		$loanamount = $_POST['loanamount'];
		$totalsalary = $_POST['totalsalary'];
		$status = $_POST['status'];
		$addby = $_SESSION['emid'];

    if(!isset($errMSG)){
			
			$stmt = $DB_con->prepare('UPDATE mobilesalary
			SET employee=:employee,
			salerymonth=:salerymonth,
			basicsalery=:basicsalery,
			bonusamount=:bonusamount,
			expenses=:expenses,
			loanamount=:loanamount,
			totalsalary=:totalsalary,
			status=:status,
			addby=:addby
			WHERE slid=:slid');
			$stmt->bindParam(':employee',$employee);
			$stmt->bindParam(':salerymonth',$salerymonth);
			$stmt->bindParam(':basicsalery',$basicsalery);
			$stmt->bindParam(':bonusamount',$bonusamount);
			$stmt->bindParam(':expenses',$expenses);
			$stmt->bindParam(':loanamount',$loanamount);
			$stmt->bindParam(':totalsalary',$totalsalary);
			$stmt->bindParam(':status',$status);
			$stmt->bindParam(':addby',$addby);
			$stmt->bindParam(':slid',$slid);
			
			if($stmt->execute()){
		  
			$successMSG = "Salary Successfully Updated ...";
				
			header("refresh:2;salarylist.php"); // redirects image view page after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
    }

}
	
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Payroll | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="author" content="Payroll | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Edit Salary | Payroll | Pos & Invetory System | Dashboard

</title>

<?php
require_once 'headercss.php';
?>

</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Salary</h4>
<h6>Update your Edit Salary</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
<?php
if(isset($errMSG)){
?>									
<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Error Alerts</h6>
<div class="text-white"> <?php echo $errMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php
}
else if(isset($successMSG)){
?>
<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Success Alerts</h6>
<div class="text-white"><?php echo $successMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>	
<?php
}
?>	
<div class="row">
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Employee</label>
<select name="employee" class="select" id="inputemployee">
										<option value="<?php

												$id = $view_result['employee']; 

												$query = $DB_con->prepare('SELECT emid FROM mobileemployee WHERE emid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['emid'];

												?>"><?php

												$id = $view_result['employee'];  

												$query = $DB_con->prepare('SELECT emname,emphonenumber FROM mobileemployee WHERE emid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['emname']." |  ".$result['emphonenumber'];

												?>
										</option>
										<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobileemployee ORDER BY emid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
										<option value="<?php echo $row['emid']; ?>"><?php echo $row['emname']; ?> | <?php echo $row['emphonenumber']; ?></option>
										<?php 
										} 
										}
										?>
								</select>
</div>
</div>
<div class="col-lg-6 col-sm-6 col-12">
<div class="form-group">
<label>Salery Month</label>
<input type="month" name="salerymonth" class="form-control" placeholder="Select Salery Month" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Basic Salery</label>
<input type="text" name="basicsalery" class="form-control" placeholder="Enter Basic Salery" value="<?php echo $view_result['basicsalery']; ?>" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Bonus Amount</label>
<input type="text" name="bonusamount" class="form-control" placeholder="Enter Bonus Amount" value="<?php echo $view_result['bonusamount']; ?>" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Loan Amount</label>
<input type="text" name="loanamount" class="form-control" placeholder="Enter Loan Amount" value="<?php echo $view_result['loanamount']; ?>" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Total Salary</label>
<input type="text" name="totalsalary" class="form-control" placeholder="Enter Total Salary" value="<?php echo $view_result['totalsalary']; ?>" required readonly>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control" name="status" required>
<option value="1"<?php if($view_result['status']=="1"){echo "selected";} ?>>Completed</option>
<option value="0"<?php if($view_result['status']=="0"){echo "selected";} ?>>Not Completed</option>
</select>
</div>
</div>
<div class="col-lg-12">
<a href="salarylist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>

<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>